git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[requirements][kuryr][flame] openshift dificulties


On 19-05-30 10:17:39, Matthew Thode wrote:
> On 19-05-30 17:07:54, MichaÅ? Dulko wrote:
> > On Wed, 2019-05-29 at 15:53 -0500, Matthew Thode wrote:
> > > Openshift upstream is giving us difficulty as they are capping the
> > > version of urllib3 and kubernetes we are using.
> > > 
> > > -urllib3===1.25.3
> > > +urllib3===1.24.3
> > > -kubernetes===9.0.0
> > > +kubernetes===8.0.1
> > > 
> > > I've opened an issue with them but not had much luck there (and their
> > > prefered solution just pushes the can down the road).
> > > 
> > > https://github.com/openshift/openshift-restclient-python/issues/289
> > > 
> > > What I'd us to do is move off of openshift as our usage doesn't seem too
> > > much.
> > > 
> > > openstack/kuryr-tempest-plugin uses it for one import (and just one
> > > function with that import).  I'm not sure exactly what you are doing
> > > with it but would it be too much to ask to move to something else?
> > 
> > From Kuryr side it's not really much effort, we can switch to bare REST
> > calls, but obviously we prefer the client. If there's much support for
> > getting rid of it, we can do the switch.
> > 
> 
> Right now Kyryr is only using it in that one place and it's blocking the
> update of urllib3 and kubernetes for the rest of openstack.  So if it's
> not too much trouble it'd be nice to have happen.
> 
> > > x/flame has it in it's constraints but I don't see any actual usage, so
> > > perhaps it's a false flag.
> > > 
> > > Please let me know what you think
> > > 
> 

Any updates on this?  I'd like to move forward on removing the
dependency if possible.

-- 
Matthew Thode
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 833 bytes
Desc: not available
URL: <http://lists.openstack.org/pipermail/openstack-discuss/attachments/20190605/25d7a3ec/attachment.sig>